#!/bin/bash

if [ -f /opt/media/turnserver  ]; then
	echo '存在'
else
	echo '不存在'
	exit 1
fi	


today=$(date +%Y%m%d)

mkdir -p /root/$today/backup

cd /root/$today

\cp -rf /opt/media/turnserver backup
\cp -rf /usr/lib/9an/libarq3.so backup 


sed -i 's#include /usr/lib/9an/##g' /etc/ld.so.conf
echo "include /usr/lib/9an/" >> /etc/ld.so.conf
ldconfig 
source /etc/profile
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/9an
export LD_LIBRARY_PATH

wget -O turnserver --http-user=dist --http-password="%TGy7uJI(" http://114.215.19.65:88/prog/media/turnserver

wget -O libarq3.so --http-user=dist --http-password="%TGy7uJI(" http://114.215.19.65:88/prog/media/libarq3.so

chmod 755 turnserver

\cp -rf turnserver /opt/media/
\cp -rf libarq3.so /usr/lib/9an/


rm -rf turnserver
rm -rf libarq3.so

/opt/media/turnserver -v

turnversion=$(/opt/media/turnserver -v | grep turnserver | awk '{print $4}')

echo $turnversion


if [ "$turnversion" == "1.3.0.22" ];then
	echo "turnserver版本 OK"
fi


arqversion=$(/opt/media/turnserver -v | grep arq | awk '{print $4}')

echo $arqversion


if [ "$arqversion" == "3.0.0.29" ];then
        echo "arq版本 OK"
fi


ss -tnl | grep :19999


rm -rf /root/1.sh 

ldconfig 
kill -9 $(pidof turnserver)
